Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186738 - wrong format. after code templ. generation (in html + namespace bracket syntax)
wrong format. after code templ. generation (in html + namespace bracket syntax)
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Formatting & Indentation
7.0
PC Linux
: P3 (vote)
: TBD
Assigned To: Petr Pisl
issues@php
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 13:04 UTC by rmatous
Modified: 2010-07-21 08:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rmatous 2010-05-26 13:04:16 UTC
Source:
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <body>
        <?php

        namespace a\b {

            class SondaTransformer {
                //put your code here
            }

        }

        namespace {
                    function functionName($param) {
                        
                    }
            $tr = new \a\b\SondaTransformer();
        }
        ?>
    </body>
</html>
Comment 1 Petr Pisl 2010-06-01 13:18:54 UTC
I can not reproduce the original problem, but I did a fix that corrects the position of the second namespace keyword when you invoke format for whole file.
Comment 2 Filip Zamboj 2010-06-01 14:03:45 UTC
verified in trunk (current revision 172220:0ed429967cef)

can be ported to 6.9.1
Comment 3 Quality Engineering 2010-06-03 06:11:02 UTC
Integrated into 'main-golden', will be available in build *201006030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0ed429967cef
User: Petr Pisl <ppisl@netbeans.org>
Log: #186738 -  wrong format. after code templ. generation (in html + namespace bracket syntax)
Comment 4 pgebauer 2010-06-03 11:43:01 UTC
The fix has been ported into the release691 branch.
http://hg.netbeans.org/release691/rev/7644b6097cfe
Comment 5 Jaromir Uhrik 2010-07-21 08:44:01 UTC
Verified in:
Product Version: NetBeans IDE 6.9.1 Dev (Build 201007182301)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01-279
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo